<?php $attributes ??= new \Illuminate\View\ComponentAttributeBag;

$__newAttributes = [];
$__propNames = \Illuminate\View\ComponentAttributeBag::extractPropNames(([
'url' => null,
'header' => ''
]));

foreach ($attributes->all() as $__key => $__value) {
    if (in_array($__key, $__propNames)) {
        $$__key = $$__key ?? $__value;
    } else {
        $__newAttributes[$__key] = $__value;
    }
}

$attributes = new \Illuminate\View\ComponentAttributeBag($__newAttributes);

unset($__propNames);
unset($__newAttributes);

foreach (array_filter(([
'url' => null,
'header' => ''
]), 'is_string', ARRAY_FILTER_USE_KEY) as $__key => $__value) {
    $$__key = $$__key ?? $__value;
}

$__defined_vars = get_defined_vars();

foreach ($attributes->all() as $__key => $__value) {
    if (array_key_exists($__key, $__defined_vars)) unset($$__key);
}

unset($__defined_vars, $__key, $__value); ?>
<?php
$cardClasses = $attributes->get('lw-card-classes') ?? '';
if (!Illuminate\Support\Str::contains($url, ['http://', 'https://'])) {
    if($url) {
        $url = route($url);
    }
}
?>
<div class="card shadow <?php echo e($cardClasses); ?>">
    <?php if($header): ?>
    <h2 class="card-header">
        <?php echo e($header); ?>

    </h2>
    <?php endif; ?>
    <div class="card-body">
        <div class="">
            <table lwDataTable <?php if($url): ?> data-url="<?php echo e($url); ?>" <?php endif; ?> <?php echo e($attributes->merge(['class' => 'table table-striped'])); ?>>
                <thead>
                    <tr>
                        <?php echo e($slot); ?>

                    </tr>
                </thead>
                <tbody ></tbody>
            </table>
        </div>
    </div>
</div><?php /**PATH /www/wwwroot/workwatsup-new.jmd-infotech.in/resources/views/components/lw/datatable.blade.php ENDPATH**/ ?>